#
# spec file for package aha
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           aha
Version:        0.5.1
Release:        1.18
Summary:        ANSI color to HTML converter
License:        MPL-1.1 OR LGPL-2.1-or-later
Group:          System/Console
URL:            https://github.com/theZiz/aha/
Source:         https://github.com/theZiz/aha/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

%description
aha (ANSI HTML Adapter) converts ANSI colors to HTML, e.g. if you
want to publish the output of ls --color=yes, git diff, ccal or htop
as static HTML somewhere.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}

%files
%doc CHANGELOG README.md
%{_bindir}/aha
%{_mandir}/man1/aha.1%{?ext_man}

%changelog
* Tue Aug  4 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.5.1
  * Use doctype HTML5 instead of XHTML optionally.
  * Rewrote man page using mdoc.
  * Removed extra linebreak at end.
  * Use the #hex format for colours.
  * Added optional language attribute
  * Added vbcc support.
  * Fixed handling of SGR 39/49.
  * Added css inline option.
  * Added --style option for inlining css styles like font size.
* Thu Mar 14 2019 Jan Engelhardt <jengelh@inai.de>
- Use %%make_install
* Wed Mar 13 2019 Matthias Eliasson <elimat@opensuse.org>
- Update to version 0.5
  * Added support for ansi vt220 character set using utf8 characters, useful for tables
  * Added support for italic text (thanks to suve)
  * Added support for crossed out text (thanks to suve)
  * Added support for 8 bit colours (thanks to  John Poole and suve)
  * Added support for 24 bit colours
  * Added rudimentary support for highlighting
  * Fixed behaviour of ESC[7m "negative image"
  * Fixed charset information in head based on used encoding (thanks to suve)
  * Fixed ESC[27m "revert off" (thanks to suve)
  * Escaping html special characters in title (thanks to suve)
  * Not returning zero at unknown option error (thanks to suve)
  * Refactored used colour scheme from int to enum (thanks to suve)
  * Refactored error report using errstr (thanks to suve)
  * Refactored code to avoid warnings (thanks to suve)
  * Refactored options to an own struct (thanks to suve)
  * Refactored color printing switch to an array (thanks to suve)
  * Refactored application state to an own struct (thanks to suve)
- Run spec-cleaner
* Fri May  5 2017 mardnh@gmx.de
- Update to version 0.4.10.6
  * Fixed MANDIR according to the GNU Coding standards, the man file
    is now installed to $(PREFIX)/share/man instead of $(PREFIX)/man
  * Fixed reset of blinking text
  * Fixed reset of bold text
  * Improved handling of some rare, but not supported border cases
    like font changing
  * Removed two unused variables
  * Improved README and added screenshot
  * Fixed bug with "tput sgr0"
  * Fixed inverted colours
  * Changed contact email address in help and manpage
* Mon Aug  1 2016 mardnh@gmx.de
- initial package
